org.apache.hadoop.tracing

## Class TraceAdminPB.TraceAdminService

- java.lang.Object
- - org.apache.hadoop.tracing.TraceAdminPB.TraceAdminService

- All Implemented Interfaces:
    com.google.protobuf.Service
  Direct Known Subclasses:
    TraceAdminPB.TraceAdminService.Stub
  Enclosing class:
    TraceAdminPB

      public abstract static class TraceAdminPB.TraceAdminService
      extends Object
      implements com.google.protobuf.Service

  Protobuf service `hadoop.common.TraceAdminService`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `TraceAdminPB.TraceAdminService.BlockingInterface`
    `static interface` | `TraceAdminPB.TraceAdminService.Interface`
    `static class` | `TraceAdminPB.TraceAdminService.Stub`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TraceAdminService()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `addSpanReceiver(com.google.protobuf.RpcController controller, TraceAdminPB.AddSpanReceiverRequestProto request, com.google.protobuf.RpcCallback<TraceAdminPB.AddSpanReceiverResponseProto> done)` `rpc addSpanReceiver(.hadoop.common.AddSpanReceiverRequestProto) returns (.hadoop.common.AddSpanReceiverResponseProto);`
    `void` | `callMethod(com.google.protobuf.Descriptors.MethodDescriptor method, com.google.protobuf.RpcController controller, com.google.protobuf.Message request, com.google.protobuf.RpcCallback<com.google.protobuf.Message> done)`
    `static com.google.protobuf.Descriptors.ServiceDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.ServiceDescriptor` | `getDescriptorForType()`
    `com.google.protobuf.Message` | `getRequestPrototype(com.google.protobuf.Descriptors.MethodDescriptor method)`
    `com.google.protobuf.Message` | `getResponsePrototype(com.google.protobuf.Descriptors.MethodDescriptor method)`
    `abstract void` | `listSpanReceivers(com.google.protobuf.RpcController controller, TraceAdminPB.ListSpanReceiversRequestProto request, com.google.protobuf.RpcCallback<TraceAdminPB.ListSpanReceiversResponseProto> done)` `rpc listSpanReceivers(.hadoop.common.ListSpanReceiversRequestProto) returns (.hadoop.common.ListSpanReceiversResponseProto);`
    `static TraceAdminPB.TraceAdminService.BlockingInterface` | `newBlockingStub(com.google.protobuf.BlockingRpcChannel channel)`
    `static com.google.protobuf.BlockingService` | `newReflectiveBlockingService(TraceAdminPB.TraceAdminService.BlockingInterface impl)`
    `static com.google.protobuf.Service` | `newReflectiveService(TraceAdminPB.TraceAdminService.Interface impl)`
    `static TraceAdminPB.TraceAdminService.Stub` | `newStub(com.google.protobuf.RpcChannel channel)`
    `abstract void` | `removeSpanReceiver(com.google.protobuf.RpcController controller, TraceAdminPB.RemoveSpanReceiverRequestProto request, com.google.protobuf.RpcCallback<TraceAdminPB.RemoveSpanReceiverResponseProto> done)` `rpc removeSpanReceiver(.hadoop.common.RemoveSpanReceiverRequestProto) returns (.hadoop.common.RemoveSpanReceiverResponseProto);`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TraceAdminService

          protected TraceAdminService()

  - ### Method Detail

    - #### newReflectiveService

          public static com.google.protobuf.Service newReflectiveService(TraceAdminPB.TraceAdminService.Interface impl)

    - #### newReflectiveBlockingService

          public static com.google.protobuf.BlockingService newReflectiveBlockingService(TraceAdminPB.TraceAdminService.BlockingInterface impl)

    - #### listSpanReceivers

          public abstract void listSpanReceivers(com.google.protobuf.RpcController controller,
                                                 TraceAdminPB.ListSpanReceiversRequestProto request,
                                                 com.google.protobuf.RpcCallback<TraceAdminPB.ListSpanReceiversResponseProto> done)

      `rpc listSpanReceivers(.hadoop.common.ListSpanReceiversRequestProto) returns (.hadoop.common.ListSpanReceiversResponseProto);`

    - #### addSpanReceiver

          public abstract void addSpanReceiver(com.google.protobuf.RpcController controller,
                                               TraceAdminPB.AddSpanReceiverRequestProto request,
                                               com.google.protobuf.RpcCallback<TraceAdminPB.AddSpanReceiverResponseProto> done)

      `rpc addSpanReceiver(.hadoop.common.AddSpanReceiverRequestProto) returns (.hadoop.common.AddSpanReceiverResponseProto);`

    - #### removeSpanReceiver

          public abstract void removeSpanReceiver(com.google.protobuf.RpcController controller,
                                                  TraceAdminPB.RemoveSpanReceiverRequestProto request,
                                                  com.google.protobuf.RpcCallback<TraceAdminPB.RemoveSpanReceiverResponseProto> done)

      `rpc removeSpanReceiver(.hadoop.common.RemoveSpanReceiverRequestProto) returns (.hadoop.common.RemoveSpanReceiverResponseProto);`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.ServiceDescriptor getDescriptor()

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.ServiceDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Service`

    - #### callMethod

          public final void callMethod(com.google.protobuf.Descriptors.MethodDescriptor method,
                                       com.google.protobuf.RpcController controller,
                                       com.google.protobuf.Message request,
                                       com.google.protobuf.RpcCallback<com.google.protobuf.Message> done)

      Specified by:
        `callMethod` in interface `com.google.protobuf.Service`

    - #### getRequestPrototype

          public final com.google.protobuf.Message getRequestPrototype(com.google.protobuf.Descriptors.MethodDescriptor method)

      Specified by:
        `getRequestPrototype` in interface `com.google.protobuf.Service`

    - #### getResponsePrototype

          public final com.google.protobuf.Message getResponsePrototype(com.google.protobuf.Descriptors.MethodDescriptor method)

      Specified by:
        `getResponsePrototype` in interface `com.google.protobuf.Service`

    - #### newStub

          public static TraceAdminPB.TraceAdminService.Stub newStub(com.google.protobuf.RpcChannel channel)

    - #### newBlockingStub

          public static TraceAdminPB.TraceAdminService.BlockingInterface newBlockingStub(com.google.protobuf.BlockingRpcChannel channel)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.